% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/DEGsPathwayVisualization.R
\name{DEGsPathwayVisualization}
\alias{DEGsPathwayVisualization}
\title{The function uses the DEGs to show graphically the expression of the samples in the pathways in which those genes appear.}
\usage{
DEGsPathwayVisualization(
  DEGsMatrix,
  DEGsAnnotation,
  expressionMatrix,
  expressionAnnotation,
  labels
)
}
\arguments{
\item{DEGsMatrix}{A matrix that contains the expression of the DEGs for each samples. This matrix can be achieved by calling the function \code{\link{DEGsExtraction}}. If the samples are more than 24, only the first 24 will be used to colour the pathways.}

\item{DEGsAnnotation}{A matrix that contains the gene names and the entrez IDs for the genes available in the DEGs matrix. This annotation can be obtained from the function \code{\link{getGenesAnnotation}}.}

\item{expressionMatrix}{A matrix that contains the expression of the all the genes available for each samples. If the samples are more than 24, only the first 24 will be used to colour the pathways.}

\item{expressionAnnotation}{A matrix that contains the gene names and the entrez IDs for all the genes available. This annotation can be obtained from the function \code{\link{getGenesAnnotation}}.}

\item{labels}{A vector that contains the labels of the samples for both the DEGsMatrix and the expressionMatrix.}
}
\value{
Nothing to return.
}
\description{
The function uses the DEGs to show graphically the expression of the samples in the pathways in which those genes appear. For that, the function makes use of a DEGsMatrix with the expression of the DEGs and the annotation of those DEGs in which appear the pathway or pathways of each DEGs. Internally, the function uses \code{\link{pathview}} to retrieve and colours the pathways, but a maximum number of 24 samples can be used. Furthermore, the function needs the expression matrix with all the genes in order to use them to colour the rest of the elements in the pathways.
}
\examples{
\dontrun{DEGsPathwayVisualization(DEGsMatrix, myDEGsAnnotation, expressionMatrix, allMyAnnotation, labels)}

}
